<?php

namespace Drupal\driplet_log\Controller;

use Drupal\Core\Controller\ControllerBase;

class LogController extends ControllerBase {

  public function content() {
    $build = [];
    $build['#attached']['library'][] = 'driplet_log/driplet-log';

    // Create the log table structure that will be populated by log messages
    $build['logs'] = [
      '#type' => 'table',
      '#header' => [
        $this->t('Severity'),
        $this->t('Type'),
        $this->t('Date'),
        $this->t('Message'),
        $this->t('User'),
      ],
      '#id' => 'driplet-log-table',
      '#attributes' => [
        'class' => ['driplet-log-table'],
      ],
      '#empty' => $this->t('Waiting for logs...'),
    ];

    return $build;
  }
}
